package org.tio.sitexxx.service.service.jpush.huawei.response;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 10:36
 *    desc   :
 * </pre>
 */
public class SendResponse {
    private final String code;
    private final String msg;
    private final String requestId;


    protected SendResponse(String coede, String msg, String requestId) {
        this.code = coede;
        this.msg = msg;
        this.requestId = requestId;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public String getRequestId() {
        return requestId;
    }

    public static SendResponse fromCode(String coede, String msg, String requestId) {
        return new SendResponse(coede, msg, requestId);
    }

}
